diff -Nur tmp1/configure.ac tmp2/configure.ac
--- tmp1/configure.ac	2009-04-20 00:33:34.000000000 +0200
+++ tmp2/configure.ac	2009-04-20 00:33:34.000000000 +0200
@@ -413,212 +296,217 @@
     AX_LIB_SQLITE3($SQLITE3_REQ_VERSION)
 
     if test -n "$SQLITE3_CFLAGS" -a -n "$SQLITE3_LDFLAGS"; then
-        SQLITE3_DIRS="sqlite3 sqlite3/test"
+        SQLITE3_DIRS="sqlite3"
     fi
 fi
+AM_CONDITIONAL([HAVE_SQLITE3], [test "x$WANT_BACKEND_SQLITE3" = xyes])
+WANT_BACKEND_SQLITE3="yes"
+SQLITE3_DIRS="sqlite3"
 
 AC_SUBST([SQLITE3_DIRS])
 
 
-dnl -------------------------------------------------------------------
-dnl Create Makefile files
-dnl -------------------------------------------------------------------
-AC_SUBST(ac_aux_dir)
-
-AC_CONFIG_FILES([
-    Makefile
-    src/Makefile
-    src/core/Makefile
-    src/core/test/Makefile
-    src/backends/Makefile
-    src/backends/empty/Makefile
-    src/backends/empty/test/Makefile
-    src/backends/firebird/Makefile
-    src/backends/firebird/test/Makefile
-    src/backends/mysql/Makefile
-    src/backends/mysql/test/Makefile
-    src/backends/odbc/Makefile
-    src/backends/odbc/test/Makefile
-    src/backends/oracle/Makefile
-    src/backends/oracle/test/Makefile
-    src/backends/postgresql/Makefile
-    src/backends/postgresql/test/Makefile
-    src/backends/sqlite3/Makefile
-    src/backends/sqlite3/test/Makefile
-])
-
-AC_OUTPUT
-
-
-dnl -------------------------------------------------------------------
-dnl Print configuration summary
-dnl -------------------------------------------------------------------
-echo "====================================================="
-echo "  $PACKAGE_NAME Configuration Summary:"
-echo "====================================================="
-echo "  RELEASE_VERSION = $RELEASE_VERSION"
-echo "  LIBTOOL_VERSION = $LIBTOOL_VERSION"
-echo
-echo "  HOST                 = $host"
-echo "  PREFIX               = $prefix"
-echo "  CXX                  = $CXX"
-echo "  CXXFLAGS             = $CXXFLAGS"
-echo "  CPPFLAGS             = $CPPFLAGS $BOOST_CPPFLAGS"
-echo "  LDFLAGS              = $LDFLAGS $BOOST_DATE_TIME_LIB"
-echo "  HAVE_BOOST           = $HAVE_BOOST"
-echo "  HAVE_BOOST_DATE_TIME = $HAVE_BOOST_DATE_TIME"
-echo
-echo "  SOCI_BUILD_DEBUG     = $SOCI_BUILD_DEBUG"
-echo "  SOCI_ENABLE_ASSERT   = $SOCI_ENABLE_ASSERT"
-echo
-echo "  SOCI_LIBRARY_VERSION = $SOCI_LIBRARY_VERSION"
-echo "  SOCI_LIBRARY_TOOLSET = $SOCI_LIBRARY_TOOLSET"
-if test -z "$SOCI_LIBRARY_RUNTIME"; then
-echo "  SOCI_LIBRARY_RUNTIME = (release)"
+# Checks for documentation build tools
+#AC_CHECK_PROG([texinfo_ok], [texinfo], [yes], [no])
+#if test "x$enable_info_doc" != xno; then
+#  test "x$texinfo_ok" != xyes && enable_info_doc=no
+#  AC_PATH_PROG([PERL], [perl], [])
+#fi
+AM_CONDITIONAL([INFO_DOC], [test "x$enable_info_doc" = xyes])
+
+# Checks for documentation build tools
+AC_CHECK_PROG([doxygen_ok], [doxygen], [yes], [no])
+AC_CHECK_PROG([latex_ok], [latex], [yes], [no])
+AC_CHECK_PROG([dvips_ok], [dvips], [yes], [no])
+AC_CHECK_PROG([gs_ok], [gs], [yes], [no])
+if test "x$enable_html_doc" != xno; then
+  test "x$doxygen_ok" != xyes && enable_html_doc=no
+  test "x$latex_ok" != xyes && enable_html_doc=no
+  test "x$dvips_ok" != xyes && enable_html_doc=no
+  test "x$gs_ok" != xyes && enable_html_doc=no
+  AC_PATH_PROG([PERL], [perl], [])
+fi
+AM_CONDITIONAL([HTML_DOC], [test "x$enable_html_doc" = xyes])
+
+
+# Check for diff program used for tests
+AC_CHECK_PROG([diff_ok], [diff], [yes], [no])
+AC_CHECK_PROG([sed_ok], [sed], [yes], [no])
+enable_tests=yes
+test "x$diff_ok" != xyes && enable_tests=no
+test "x$sed_ok" != xyes && enable_tests=no
+AM_CONDITIONAL([RUN_TESTS], [test "x$enable_tests" = xyes])
+
+
+# Checks for header files
+AC_HEADER_STDC
+AC_HEADER_TIME
+AC_CHECK_HEADERS([cmath \
+  deque \
+  fstream \
+  iomanip \
+  iostream \
+  sstream \
+  limits \
+  list \
+  set \
+  vector \
+  map \
+  queue \
+  stdexcept \
+  string])
+
+
+# --------------------------------------------------------
+# I18n (internationalisation) with GNU Gettext
+# --------------------------------------------------------
+AM_GNU_GETTEXT([external], [need-formatstring-macros])
+AM_GNU_GETTEXT_VERSION([0.14])
+# Force the usage of the i18n feature: on 64bit architecture,
+# as gettext uses conversions from int to char*, there may be
+# some issues. However, for regular translation (e.g., to German 
+# or French), the PO files are correctly transformed into GMO.
+if test "x$enable_nls" = xyes; then
+   USE_NLS=yes
 else
-echo "  SOCI_LIBRARY_RUNTIME = $SOCI_LIBRARY_RUNTIME"
-fi
-echo
-
-if test "$VERBOSE" = "yes"; then
-    echo "  CXX_TOOLSET_VENDOR   = $CXX_TOOLSET_VENDOR"
-    echo "  CXX_TOOLSET_FULLNAME = $CXX_TOOLSET_FULLNAME"
-    echo "  CXX_TOOLSET_NAME     = $CXX_TOOLSET_NAME"
-    echo "  CXX_TOOLSET_COMMAND  = $CXX_TOOLSET_COMMAND"
-    echo
+   USE_NLS=no
 fi
+AM_CONDITIONAL([ENABLE_NLS], [test "x$USE_NLS" = xyes])
 
-echo "================================"
-echo "  SOCI Backends Configuration:"
-echo "================================"
-echo
-echo "  Build Empty     = $WANT_BACKEND_EMPTY"
-echo
-echo "  SOCI_EMPTY_LIBRARY_NAME = $SOCI_EMPTY_LIBRARY_NAME"
-echo
 
-BACKENDS_COUNT=1
-
-if test "$WANT_BACKEND_FIREBIRD" = "yes"; then
-    echo "  Firebird (>= $FIREBIRD_REQ_VERSION):"
-    echo "  =============================="
-    if test -n "$FIREBIRD_CFLAGS" -a -n "$FIREBIRD_LDFLAGS"; then
-        echo "  FIREBIRD_VERSION       = $FIREBIRD_VERSION"
-        echo "  FIREBIRD_CFLAGS        = $FIREBIRD_CFLAGS"
-        echo "  FIREBIRD_LDFLAGS       = $FIREBIRD_LDFLAGS"
-        echo
-        echo "  SOCI_FIREBIRD_LIBRARY_NAME = $SOCI_FIREBIRD_LIBRARY_NAME"
-        let "BACKENDS_COUNT += 1"
-    else
-        echo "  WARNING:"
-        echo "  *** Firebird backend requested but 'fbclient' library not found."
-        echo "  *** Use --with-firebird parameter to set library prefix manually."
-        echo "  *** If you run 'make' now, Firebird backend will not be compiled."
-    fi
-    echo
-fi
+# Define configured files
+AC_CONFIG_FILES(
+	Makefile
+	soci-config
+	soci.pc
+	soci.spec
+	soci.m4
+	soci/Makefile
+	soci/core/Makefile
+	soci/core/test/Makefile
+	soci/backends/Makefile
+	soci/backends/empty/Makefile
+	soci/backends/empty/test/Makefile
+	soci/backends/mysql/Makefile
+	soci/backends/mysql/test/Makefile
+	soci/backends/oracle/Makefile
+	soci/backends/oracle/test/Makefile
+	soci/backends/postgresql/Makefile
+	soci/backends/postgresql/test/Makefile
+	soci/backends/sqlite3/Makefile
+	soci/backends/sqlite3/test/Makefile
+	soci/backends/firebird/Makefile
+	soci/backends/firebird/test/Makefile
+	soci/backends/odbc/Makefile
+	soci/backends/odbc/test/Makefile
+	man/Makefile
+        doc/Makefile
+        doc/styles/Makefile
+        doc/images/Makefile
+        doc/local/Makefile
+        doc/local/index.doc
+        doc/local/backends/Makefile
+        doc/www/Makefile
+        doc/doxygen_html.cfg
+	po/Makefile.in
+	build/Makefile
+	build/unix/Makefile
+	build/msvc71/Makefile
+	build/msvc80/Makefile
+	build/msvc80/dll/Makefile
+	build/msvc80/lib/Makefile)
 
-if test "$WANT_BACKEND_MYSQL" = "yes"; then
-    echo "  MySQL (>= $MYSQL_REQ_VERSION):"
-    echo "  =============================="
-    if test -n "$MYSQL_CFLAGS" -a -n "$MYSQL_LDFLAGS"; then
-        echo "  MYSQL_VERSION       = $MYSQL_VERSION"
-        echo "  MYSQL_CFLAGS        = $MYSQL_CFLAGS"
-        echo "  MYSQL_LDFLAGS       = $MYSQL_LDFLAGS"
-        echo
-        echo "  SOCI_MYSQL_LIBRARY_NAME = $SOCI_MYSQL_LIBRARY_NAME"
-        let "BACKENDS_COUNT += 1"
-    else
-        echo "  WARNING:"
-        echo "  *** MySQL backend requested but 'mysqlclient' library not found."
-        echo "  *** Use --with-mysql parameter to set 'mysql_config' path manually."
-        echo "  *** If you run 'make' now, MySQL backend will not be compiled."
-    fi
-    echo
-fi
-
-if test "$WANT_BACKEND_ODBC" = "yes"; then
-    echo "  ODBC (ODBCVER >= $ODBC_REQ_VERSION):"
-    echo "  =============================="
-    echo "  WARNING:"
-    echo "  *** ODBC backend is experimental and does not compile now."
-    echo "  *** Testing and patches are welcome."
-    echo
-    if test -n "$ODBC_CFLAGS" -a -n "$ODBC_LDFLAGS"; then
-        echo "  ODBC_VERSION       = $ODBC_VERSION"
-        echo "  ODBC_CFLAGS        = $ODBC_CFLAGS"
-        echo "  ODBC_LDFLAGS       = $ODBC_LDFLAGS"
-        echo
-        echo "  SOCI_ODBC_LIBRARY_NAME = $SOCI_ODBC_LIBRARY_NAME"
-        let "BACKENDS_COUNT += 1"
-    else
-        echo "  WARNING:"
-        echo "  *** ODBC backend requested but ODBC implementation not found."
-        echo "  *** Use --with-odbc parameter to set ODBC installation prefix manually."
-        echo "  *** If you run 'make' now, ODBC backend will not be compiled."
-    fi
-    echo
-fi
-
-if test "$WANT_BACKEND_ORACLE" = "yes"; then
-    echo "  Oracle (>= $ORACLE_OCI_REQ_VERSION):"
-    echo "  =============================="
-    if test -n "$ORACLE_OCI_CFLAGS" -a -n "$ORACLE_OCI_LDFLAGS"; then
-        echo "  ORACLE_OCI_VERSION  = $ORACLE_OCI_VERSION"
-        echo "  ORACLE_OCI_CFLAGS   = $ORACLE_OCI_CFLAGS"
-        echo "  ORACLE_OCI_LDFLAGS  = $ORACLE_OCI_LDFLAGS"
-        echo
-        echo "  SOCI_ORACLE_LIBRARY_NAME = $SOCI_ORACLE_LIBRARY_NAME"
-        let "BACKENDS_COUNT += 1"
-    else
-        echo "  WARNING:"
-        echo "  *** Oracle backend requested but 'OCI' library not found."
-        echo "  *** Use --with-oracle options to provide Oracle paths."
-        echo "  *** If you run 'make' now, Oracle backend will not be compiled."
-    fi
-    echo
-fi
-
-if test "$WANT_BACKEND_POSTGRESQL" = "yes"; then
-    echo "  PostgreSQL (>= $POSTGRESQL_REQ_VERSION):"
-    echo "  =============================="
-    if test -n "$POSTGRESQL_CFLAGS" -a -n "$POSTGRESQL_LDFLAGS"; then
-        echo "  POSTGRESQL_VERSION  = $POSTGRESQL_VERSION"
-        echo "  POSTGRESQL_CFLAGS   = $POSTGRESQL_CFLAGS"
-        echo "  POSTGRESQL_LDFLAGS  = $POSTGRESQL_LDFLAGS"
-        echo
-        echo "  SOCI_POSTGRESQL_LIBRARY_NAME = $SOCI_POSTGRESQL_LIBRARY_NAME"
-        let "BACKENDS_COUNT += 1"
-    else
-        echo "  WARNING:"
-        echo "  *** PostgreSQL backend requested but 'libpq' library not found."
-        echo "  *** Use --with-postgresql parameter to set 'pg_config' path manually."
-        echo "  *** If you run 'make' now, PostgreSQL backend will not be compiled."
-    fi
-    echo
-fi
-
-if test "$WANT_BACKEND_SQLITE3" = "yes"; then
-    echo "  SQLite 3 (>= $SQLITE3_REQ_VERSION):"
-    echo "  =============================="
-    if test -n "$SQLITE3_CFLAGS" -a -n "$SQLITE3_LDFLAGS"; then
-        echo "  SQLITE3_VERSION     = $SQLITE3_VERSION"
-        echo "  SQLITE3_CFLAGS      = $SQLITE3_CFLAGS"
-        echo "  SQLITE3_LDFLAGS     = $SQLITE3_LDFLAGS"
-        echo
-        echo "  SOCI_SQLITE3_LIBRARY_NAME = $SOCI_SQLITE3_LIBRARY_NAME"
-        let "BACKENDS_COUNT += 1"
-    else
-        echo "  WARNING: SQLite 3 backend requested but required SQLite $SQLITE3_REQ_VERSION not found."
-        echo "  Use --with-sqlite3 parameter to set SQLite 3 installation prefix."
-    fi
-    echo
-fi
-
-if test $BACKENDS_COUNT = 1; then
-    echo "  WARNING: Only 'empty' backend is configured!"
-    echo "  Type './configure --help' to learn about supported backends."
-    echo
-fi
+AC_OUTPUT
 
-echo "Now, type 'make' to compile $PACKAGE_NAME."
+echo "
+------------------------------------------------------------------------------
+$PACKAGE-$VERSION library configuration:
+------------------------------------------------------------------------------
+
+Directories:
+  - prefix ............... : ${prefix}
+  - exec_prefix .......... : ${exec_prefix}
+  - includedir ........... : ${includedir}
+  - libdir ............... : ${libdir}
+  - docdir ............... : ${docdir}
+  - mandir ............... : ${mandir}
+  - infodir .............. : ${infodir}
+
+Switches:
+  - exceptions ........... : ${enable_exceptions}
+  - enable-nls ........... : ${enable_nls}
+  - use-nls .............. : ${USE_NLS}
+  - info-doc ............. : ${enable_info_doc}
+  - html-doc ............. : ${enable_html_doc}
+  - shared ............... : ${enable_shared}
+  - static ............... : ${enable_static}
+
+Documentation tools:
+  - texinfo .............. : ${texinfo_ok}
+  - doxygen .............. : ${doxygen_ok}
+  - latex ................ : ${latex_ok}
+  - dvips ................ : ${dvips_ok}
+  - ghostscript .......... : ${gs_ok}
+
+Testing tools:
+  - diff ................. : ${diff_ok}
+  - sed .................. : ${sed_ok}
+
+Compiler/linker flags/libs/defs:
+  - CXX .................. : ${CXX}
+  - CXXFLAGS ............. : ${CXXFLAGS}
+  - CPPFLAGS ............. : ${CPPFLAGS}
+  - LDFLAGS .............. : ${LDFLAGS}
+  - LIBS ................. : ${LIBS}
+
+Burried header files:
+  - SOCI_HEADERS_BURIED .. : ${enable_burried_headers}
+  - MYSQL_HEADERS_BURIED . : ${enable_mysql_burried_headers}
+
+External libraries:
+  - Boost ................ :
+    o BOOST_VERSION ...... : ${BOOST_VERSION}
+    o BOOST_CFLAGS ....... : ${BOOST_CFLAGS}
+    o BOOST_LIBS ......... : ${BOOST_LIBS}
+    o BOOST_DT_LIB ....... : ${BOOST_DATE_TIME_LIB}
+    o BOOST_PO_LIB ....... : ${BOOST_PROGRAM_OPTIONS_LIB}
+
+  - MySQL ................ :
+    o MYSQL_VERSION ...... : ${MYSQL_VERSION}
+    o MYSQL_CFLAGS ....... : ${MYSQL_CFLAGS}
+    o MYSQL_LDFLAGS ...... : ${MYSQL_LDFLAGS}
+
+  - PostGreSQL ........... :
+    o POSTGRESQL_VERSION . : ${POSTGRESQL_VERSION}
+    o POSTGRESQL_CFLAGS .. : ${POSTGRESQL_CFLAGS}
+    o POSTGRESQL_LDFLAGS . : ${POSTGRESQL_LDFLAGS} 
+
+  - SQLite3 .............. :
+    o SQLITE3_VERSION .... : ${SQLITE3_VERSION}
+    o SQLITE3_CFLAGS ..... : ${SQLITE3_CFLAGS}
+    o SQLITE3_LDFLAGS .... : ${SQLITE3_LDFLAGS} 
+
+  - Oracle ............... :
+    o ORACLE_VERSION ..... : ${ORACLE_OCI_VERSION}
+    o ORACLE_CFLAGS ...... : ${ORACLE_OCI_CFLAGS}
+    o ORACLE_LDFLAGS ..... : ${ORACLE_OCI_LDFLAGS} 
+
+  - Firebird ............. :
+    o FIREBIRD_VERSION ... : ${FIREBIRD_VERSION}
+    o FIREBIRD_CFLAGS .... : ${FIREBIRD_CFLAGS}
+    o FIREBIRD_LDFLAGS ... : ${FIREBIRD_LDFLAGS} 
+
+  - ODBC ................. :
+    o ODBC_VERSION ....... : ${ODBC_VERSION}
+    o ODBC_CFLAGS ........ : ${ODBC_CFLAGS}
+    o ODBC_LDFLAGS ....... : ${ODBC_LDFLAGS} 
+
+  - CPPUnit .............. :
+    o CPPUNIT_VERSION .... : ${CPPUNIT_VERSION}
+    o CPPUNIT_CFLAGS ..... : ${CPPUNIT_CFLAGS}
+    o CPPUNIT_LIBS ....... : ${CPPUNIT_LIBS}
+
+------------------------------------------------------------------------------
+Now type 'make && make install' to build and install $PACKAGE-$VERSION library
+------------------------------------------------------------------------------
+"
diff -Nur tmp1/INSTALL tmp2/INSTALL
--- tmp1/INSTALL	1970-01-01 01:00:00.000000000 +0100
+++ tmp2/INSTALL	2009-04-20 00:33:34.000000000 +0200
@@ -0,0 +1,237 @@
+Installation Instructions
+*************************
+
+Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002, 2004, 2005,
+2006, 2007 Free Software Foundation, Inc.
+
+This file is free documentation; the Free Software Foundation gives
+unlimited permission to copy, distribute and modify it.
+
+Basic Installation
+==================
+
+Briefly, the shell commands `./configure; make; make install' should
+configure, build, and install this package.  The following
+more-detailed instructions are generic; see the `README' file for
+instructions specific to this package.
+
+   The `configure' shell script attempts to guess correct values for
+various system-dependent variables used during compilation.  It uses
+those values to create a `Makefile' in each directory of the package.
+It may also create one or more `.h' files containing system-dependent
+definitions.  Finally, it creates a shell script `config.status' that
+you can run in the future to recreate the current configuration, and a
+file `config.log' containing compiler output (useful mainly for
+debugging `configure').
+
+   It can also use an optional file (typically called `config.cache'
+and enabled with `--cache-file=config.cache' or simply `-C') that saves
+the results of its tests to speed up reconfiguring.  Caching is
+disabled by default to prevent problems with accidental use of stale
+cache files.
+
+   If you need to do unusual things to compile the package, please try
+to figure out how `configure' could check whether to do them, and mail
+diffs or instructions to the address given in the `README' so they can
+be considered for the next release.  If you are using the cache, and at
+some point `config.cache' contains results you don't want to keep, you
+may remove or edit it.
+
+   The file `configure.ac' (or `configure.in') is used to create
+`configure' by a program called `autoconf'.  You need `configure.ac' if
+you want to change it or regenerate `configure' using a newer version
+of `autoconf'.
+
+The simplest way to compile this package is:
+
+  1. `cd' to the directory containing the package's source code and type
+     `./configure' to configure the package for your system.
+
+     Running `configure' might take a while.  While running, it prints
+     some messages telling which features it is checking for.
+
+  2. Type `make' to compile the package.
+
+  3. Optionally, type `make check' to run any self-tests that come with
+     the package.
+
+  4. Type `make install' to install the programs and any data files and
+     documentation.
+
+  5. You can remove the program binaries and object files from the
+     source code directory by typing `make clean'.  To also remove the
+     files that `configure' created (so you can compile the package for
+     a different kind of computer), type `make distclean'.  There is
+     also a `make maintainer-clean' target, but that is intended mainly
+     for the package's developers.  If you use it, you may have to get
+     all sorts of other programs in order to regenerate files that came
+     with the distribution.
+
+  6. Often, you can also type `make uninstall' to remove the installed
+     files again.
+
+Compilers and Options
+=====================
+
+Some systems require unusual options for compilation or linking that the
+`configure' script does not know about.  Run `./configure --help' for
+details on some of the pertinent environment variables.
+
+   You can give `configure' initial values for configuration parameters
+by setting variables in the command line or in the environment.  Here
+is an example:
+
+     ./configure CC=c99 CFLAGS=-g LIBS=-lposix
+
+   *Note Defining Variables::, for more details.
+
+Compiling For Multiple Architectures
+====================================
+
+You can compile the package for more than one kind of computer at the
+same time, by placing the object files for each architecture in their
+own directory.  To do this, you can use GNU `make'.  `cd' to the
+directory where you want the object files and executables to go and run
+the `configure' script.  `configure' automatically checks for the
+source code in the directory that `configure' is in and in `..'.
+
+   With a non-GNU `make', it is safer to compile the package for one
+architecture at a time in the source code directory.  After you have
+installed the package for one architecture, use `make distclean' before
+reconfiguring for another architecture.
+
+Installation Names
+==================
+
+By default, `make install' installs the package's commands under
+`/usr/local/bin', include files under `/usr/local/include', etc.  You
+can specify an installation prefix other than `/usr/local' by giving
+`configure' the option `--prefix=PREFIX'.
+
+   You can specify separate installation prefixes for
+architecture-specific files and architecture-independent files.  If you
+pass the option `--exec-prefix=PREFIX' to `configure', the package uses
+PREFIX as the prefix for installing programs and libraries.
+Documentation and other data files still use the regular prefix.
+
+   In addition, if you use an unusual directory layout you can give
+options like `--bindir=DIR' to specify different values for particular
+kinds of files.  Run `configure --help' for a list of the directories
+you can set and what kinds of files go in them.
+
+   If the package supports it, you can cause programs to be installed
+with an extra prefix or suffix on their names by giving `configure' the
+option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.
+
+Optional Features
+=================
+
+Some packages pay attention to `--enable-FEATURE' options to
+`configure', where FEATURE indicates an optional part of the package.
+They may also pay attention to `--with-PACKAGE' options, where PACKAGE
+is something like `gnu-as' or `x' (for the X Window System).  The
+`README' should mention any `--enable-' and `--with-' options that the
+package recognizes.
+
+   For packages that use the X Window System, `configure' can usually
+find the X include and library files automatically, but if it doesn't,
+you can use the `configure' options `--x-includes=DIR' and
+`--x-libraries=DIR' to specify their locations.
+
+Specifying the System Type
+==========================
+
+There may be some features `configure' cannot figure out automatically,
+but needs to determine by the type of machine the package will run on.
+Usually, assuming the package is built to be run on the _same_
+architectures, `configure' can figure that out, but if it prints a
+message saying it cannot guess the machine type, give it the
+`--build=TYPE' option.  TYPE can either be a short name for the system
+type, such as `sun4', or a canonical name which has the form:
+
+     CPU-COMPANY-SYSTEM
+
+where SYSTEM can have one of these forms:
+
+     OS KERNEL-OS
+
+   See the file `config.sub' for the possible values of each field.  If
+`config.sub' isn't included in this package, then this package doesn't
+need to know the machine type.
+
+   If you are _building_ compiler tools for cross-compiling, you should
+use the option `--target=TYPE' to select the type of system they will
+produce code for.
+
+   If you want to _use_ a cross compiler, that generates code for a
+platform different from the build platform, you should specify the
+"host" platform (i.e., that on which the generated programs will
+eventually be run) with `--host=TYPE'.
+
+Sharing Defaults
+================
+
+If you want to set default values for `configure' scripts to share, you
+can create a site shell script called `config.site' that gives default
+values for variables like `CC', `cache_file', and `prefix'.
+`configure' looks for `PREFIX/share/config.site' if it exists, then
+`PREFIX/etc/config.site' if it exists.  Or, you can set the
+`CONFIG_SITE' environment variable to the location of the site script.
+A warning: not all `configure' scripts look for a site script.
+
+Defining Variables
+==================
+
+Variables not defined in a site shell script can be set in the
+environment passed to `configure'.  However, some packages may run
+configure again during the build, and the customized values of these
+variables may be lost.  In order to avoid this problem, you should set
+them in the `configure' command line, using `VAR=value'.  For example:
+
+     ./configure CC=/usr/local2/bin/gcc
+
+causes the specified `gcc' to be used as the C compiler (unless it is
+overridden in the site shell script).
+
+Unfortunately, this technique does not work for `CONFIG_SHELL' due to
+an Autoconf bug.  Until the bug is fixed you can use this workaround:
+
+     CONFIG_SHELL=/bin/bash /bin/bash ./configure CONFIG_SHELL=/bin/bash
+
+`configure' Invocation
+======================
+
+`configure' recognizes the following options to control how it operates.
+
+`--help'
+`-h'
+     Print a summary of the options to `configure', and exit.
+
+`--version'
+`-V'
+     Print the version of Autoconf used to generate the `configure'
+     script, and exit.
+
+`--cache-file=FILE'
+     Enable the cache: use and save the results of the tests in FILE,
+     traditionally `config.cache'.  FILE defaults to `/dev/null' to
+     disable caching.
+
+`--config-cache'
+`-C'
+     Alias for `--cache-file=config.cache'.
+
+`--quiet'
+`--silent'
+`-q'
+     Do not print messages saying which checks are being made.  To
+     suppress all normal output, redirect it to `/dev/null' (any error
+     messages will still be shown).
+
+`--srcdir=DIR'
+     Look for the package's source code in directory DIR.  Usually
+     `configure' can determine that directory automatically.
+
+`configure' also accepts some other, not widely useful, options.  Run
+`configure --help' for more details.
+
diff -Nur tmp1/Makefile.am tmp2/Makefile.am
--- tmp1/Makefile.am	2009-04-20 00:33:34.000000000 +0200
+++ tmp2/Makefile.am	2009-04-20 00:33:34.000000000 +0200
@@ -1,61 +1,76 @@
-# $Id: Makefile.am,v 1.5 2006/12/09 15:34:15 mloskot Exp $
-# 
-# Copyright (C) 2006, Mateusz Loskot
-#
-# Author: Mateusz Loskot <mateusz@loskot.net>
-#
-AUTOMAKE_OPTIONS = \
-	1.4 \
-	foreign \
-	dist-bzip2 \
-	dist-zip
-
-SUBDIRS = src
-
-# Commands
-RM = rm -rf
-COPY = cp -p
-
-# Clean patterns
-CLEANFILES = *~
-
-MAINTAINERCLEANFILES = \
-	aclocal.m4 \
-	depcomp \
-	config.cache \
-	config.guess \
-	config.h.in \
-	config.log \
-	config.status \
-	config.sub \
-	configure \
-	install-sh \
-	libtool \
-	ltmain.sh \
-	missing \
-	stamp-h.in
-
-EXTRA_DIST = \
-	autogen.sh \
-	build \
-	doc
-
-DISTCLEANLOCAL = \
-	autom4te.cache
-
-MAINTAINERCLEANLOCAL = Makefile.in
-
-dist-hook:
-	$(COPY) $(top_srcdir)/src/contrib $(distdir)
-	$(COPY) $(top_srcdir)/src/CHANGES $(distdir)
-	$(COPY) $(top_srcdir)/src/README $(distdir)
-	$(COPY) $(top_srcdir)/src/LICENSE_1_0.txt $(distdir)
-	$(RM) `find $(distdir) -name CVS`
-	$(RM) `find $(distdir) -name '.cvsignore'`
+## top directory
+include $(top_srcdir)/Makefile.common
 
-distclean-local:
-	-test -z "$(DISTCLEANLOCAL)" || rm -rf $(DISTCLEANLOCAL)
+ACLOCAL_AMFLAGS = -I config
 
-maintainer-clean-local:
-	-test -z "$(MAINTAINERCLEANLOCAL)" || rm -rf $(MAINTAINERCLEANLOCAL)
+AUTOMAKE_OPTIONS = dist-bzip2
+
+if INFO_DOC
+#  INFO_DOC_DIR = info
+endif
+
+if HTML_DOC
+  HTML_DOC_DIR = doc
+endif
+
+if RUN_TESTS
+#  TEST_DIR = test
+endif
+
+MAN_DOC_DIR = man
+
+if ENABLE_NLS
+  NLS_DIR = po
+endif
+
+# Maintainance files
+MAINTAINERCLEANFILES = Makefile.in aclocal.m4 configure \
+			config-h.in sic/stamp-h.in autogen.sh bootstrap
+
+#EXTRA_DIST_FOR_SOCI_COMPATIBILITY = ._configure ._Makefile contrib
+EXTRA_DIST_FOR_SOCI_COMPATIBILITY = contrib TODO ideas.txt
+
+EXTRA_DIST = Makefile.common autogen.sh \
+		$(EXTRA_DIST_FOR_SOCI_COMPATIBILITY)
+
+# Build in these directories:
+SUBDIRS = build @PACKAGE@ $(NLS_DIR) $(MAN_DOC_DIR) $(INFO_DOC_DIR) \
+	$(HTML_DOC_DIR) $(TEST_DIR)
+
+
+# Configuration helpers
+bin_SCRIPTS = @PACKAGE@-config
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = @PACKAGE@.pc
+
+m4datadir = $(datadir)/aclocal
+m4data_DATA = @PACKAGE@.m4
+
+# Targets
+uninstall-local:
+	rm -rf $(DESTDIR)$(includedir)/@PACKAGE@
+
+dist-html:
+	$(MAKE) -C doc dist-html
+
+
+snapshot: snapshot-src snapshot-html
+
+
+snapshot-src:
+        $(MAKE) dist distdir=@PACKAGE_TARNAME@-`date +"%Y%m%d"`
+
+snapshot-html:
+	$(MAKE) -C doc dist-html html_tarname=@PACKAGE_TARNAME@-html-doc-`date +"%Y%m%d"`
+
+upload: upload-src upload-html
+
+upload-src: dist
+	@UPLOAD_COMMAND@ @PACKAGE_TARNAME@-@VERSION@.tar.gz \
+	@PACKAGE_TARNAME@-@VERSION@.tar.bz2
+
+upload-html: dist-html
+	@UPLOAD_COMMAND@ @PACKAGE_TARNAME@-html-doc-@VERSION@.tar.gz \
+	@PACKAGE_TARNAME@-html-doc-@VERSION@.tar.bz2
 
diff -Nur tmp1/Makefile.common tmp2/Makefile.common
--- tmp1/Makefile.common	1970-01-01 01:00:00.000000000 +0100
+++ tmp2/Makefile.common	2009-04-20 00:33:34.000000000 +0200
@@ -0,0 +1,2 @@
+@SET_MAKE@
+AM_CPPFLAGS = -I$(top_builddir) -I$(top_srcdir)
diff -Nur tmp1/NEWS tmp2/NEWS
--- tmp1/NEWS	1970-01-01 01:00:00.000000000 +0100
+++ tmp2/NEWS	2009-04-20 00:33:34.000000000 +0200
@@ -0,0 +1,3 @@
+
+* Wed Mar 26 2009 RPM release for version 3.0.0
+
diff -Nur tmp1/soci-config.in tmp2/soci-config.in
--- tmp1/soci-config.in	1970-01-01 01:00:00.000000000 +0100
+++ tmp2/soci-config.in	2009-04-20 00:33:34.000000000 +0200
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+prefix=@prefix@
+exec_prefix=${prefix}
+libdir=@libdir@
+includedir=@includedir@
+
+usage()
+{
+  cat <<EOF
+Usage: @PACKAGE@-config [OPTION]
+
+Known values for OPTION are:
+
+  --prefix        print @PACKAGE_NAME@ installation prefix
+  --libs          print library linking information
+  --cflags        print pre-processor and compiler flags
+  --help          display this help and exit
+  --version       output version information
+EOF
+  exit $1
+}
+
+if test $# -eq 0; then
+  usage 1
+fi
+
+cflags=false
+libs=false
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix=$optarg
+      ;;
+
+    --prefix)
+      echo $prefix
+      ;;
+
+    --version)
+      echo @VERSION@
+      ;;
+
+    --help)
+      usage 0
+      ;;
+
+    --cflags)
+      if [ "${prefix}" != "/usr" ]; then
+        echo -I${includedir}
+      else
+        echo
+      fi
+      ;;
+
+    --libs)
+      if [ "${prefix}" != "/usr" ]; then
+        echo -L${libdir} -l@PACKAGE@
+      else
+        echo -l@PACKAGE@
+      fi
+      ;;
+
+    *)
+      usage
+      exit 1
+      ;;
+  esac
+  shift
+done
